package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CleanPolluteProportion;
import com.lightinit.hsdatashow.entity.CleanPolluteProportionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface CleanPolluteProportionMapper {
    long countByExample(CleanPolluteProportionExample example);

    int deleteByExample(CleanPolluteProportionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CleanPolluteProportion record);

    int insertSelective(CleanPolluteProportion record);

    List<CleanPolluteProportion> selectByExample(CleanPolluteProportionExample example);

    CleanPolluteProportion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CleanPolluteProportion record, @Param("example") CleanPolluteProportionExample example);

    int updateByExample(@Param("record") CleanPolluteProportion record, @Param("example") CleanPolluteProportionExample example);

    int updateByPrimaryKeySelective(CleanPolluteProportion record);

    int updateByPrimaryKey(CleanPolluteProportion record);

    List<ChartModel> getCleanAndpollute();
}